# Enum CalendarChange.EntityType

java.lang.Object
java.lang.Enum<CalendarChange.EntityType>
com.codename1.calendar.CalendarChange.EntityType

All Implemented Interfaces:
  `Comparable<CalendarChange.EntityType>`

Enclosing class:
  `CalendarChange`

public static enum CalendarChange.EntityType extends Enum<CalendarChange.EntityType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CALENDAR`
  `EVENT`
  `TASK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalendarChange.EntityType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CalendarChange.EntityType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CALENDAR

    public static final CalendarChange.EntityType CALENDAR

  - ### EVENT

    public static final CalendarChange.EntityType EVENT

  - ### TASK

    public static final CalendarChange.EntityType TASK

- ## Method Details

  - ### values

    public static CalendarChange.EntityType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CalendarChange.EntityType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null